import { ExtendableError } from '../errors';
import { APIGatewayWebSocketEvent, OperationRequest } from '../types';
export declare class MalformedOperationError extends ExtendableError {
    constructor(reason?: string);
}
export declare class InvalidOperationError extends ExtendableError {
    constructor(reason?: string);
}
export declare function parseOperationFromEvent(event: APIGatewayWebSocketEvent): OperationRequest & {
    operationId: string;
};
